Subject: Re: [PATCH RFC] CYGWIN: avoid implicit declaration warning

From: Ramsay Jones <[email-masked]>
Date: Mon, 24 Nov 2014 22:59:34 +0000

On 24/11/14 21:44, Junio C Hamano wrote:
> Ramsay Jones <[email-masked]> writes:
> 
>> I updated from cygwin 1.5 to cygwin 1.7 at the beginning of the year.
>> Since it is no longer supported, I don't think we need to worry about
>> version 1.5. When I said 'old installation' I meant my old version 1.7
>> 32-bit installation.
>>
>>> One netbook was converted from XP to Linux, the other machine needs to be
>>> re-installed and CYGWIN 1.5 is no longer available for download.
>>>
>>> I can confirm that Ramsays patch works with CYGWIN 1.7 32 Bit.
>>
>> Thanks!
> 
> Thanks.  So the unconditional version of the patch is good to go, I
> take?
> 

Hmm, I don't know what you mean by 'unconditional version'. ;-)

Anyway, the commit message of my patch needs some edits to reflect
my new 'theory' of the cause. I suppose I should try to track down
the changes to the cygwin headers to be more confident that I have
actually identified the correct cause. (Like Jonathan, I'm still a
bit surprised that _GNU_SOURCE doesn't trump _XOPEN_SOURCE, but I
can't say that it is a bug).

However, I suspect that the patch as is, modulo commit message edits,
should be sufficient to fix this up (at least for now).

ATB,
Ramsay Jones